Package com.arms.config

## Class ThymeleafConfig

- java.lang.Object
- - com.arms.config.ThymeleafConfig

-     @Configuration
      public class ThymeleafConfig
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThymeleafConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.thymeleaf.spring5.templateresolver.SpringResourceTemplateResolver` | `htmlTemplateResolver()` |
    `org.springframework.web.servlet.view.json.MappingJackson2JsonView` | `jsonView()` |
    `org.springframework.web.servlet.ViewResolver` | `jsonViewResolver()` |
    `org.thymeleaf.spring5.SpringTemplateEngine` | `templateEngine()` |
    `org.springframework.web.servlet.ViewResolver` | `thymeleafViewResolver()` |
    `org.thymeleaf.spring5.templateresolver.SpringResourceTemplateResolver` | `txtTemplateResolver()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThymeleafConfig

          public ThymeleafConfig()

  - ### Method Detail

    - #### htmlTemplateResolver

          @Bean
          public org.thymeleaf.spring5.templateresolver.SpringResourceTemplateResolver htmlTemplateResolver()

    - #### txtTemplateResolver

          @Bean
          public org.thymeleaf.spring5.templateresolver.SpringResourceTemplateResolver txtTemplateResolver()

    - #### templateEngine

          @Bean
          public org.thymeleaf.spring5.SpringTemplateEngine templateEngine()

    - #### thymeleafViewResolver

          @Bean
          public org.springframework.web.servlet.ViewResolver thymeleafViewResolver()

    - #### jsonView

          @Bean
          public org.springframework.web.servlet.view.json.MappingJackson2JsonView jsonView()

    - #### jsonViewResolver

          @Bean
          public org.springframework.web.servlet.ViewResolver jsonViewResolver()